using UnityEngine;
using UnityEditor;
using System.Collections;

public class LightingOnlyMode {
	public static Shader replaceShader;

	[MenuItem ("LightingOnly/Enable")]
	static void Enable () {
		if (SceneView.lastActiveSceneView == null)
			return;

		Shader lightingOnly = Shader.Find ("Hidden/LightingOnly");
		SceneView.lastActiveSceneView.SetSceneViewShaderReplace (lightingOnly, "RenderType");
		SceneView.RepaintAll ();
	}
	
	[MenuItem ("LightingOnly/Disable")]
	static void Disable () 
	{
		if (SceneView.lastActiveSceneView == null)
			return;

		SceneView.lastActiveSceneView.SetSceneViewShaderReplace (null, "");
		SceneView.RepaintAll ();
	}
}
